<!DOCTYPE html>
<html lang="es">
  <head>
    <title>Blog del perro</title>
    <meta charset="utf-8" />
    <meta name="application-name" content="Blog del perro">
    <meta name="description" content="Del Pacífico para el mundo: edición, software y cultura libres.">
    <meta name="keywords" content="blog, libros, licencias, software libre, acceso abierto, código abierto, edición, publicación, books, licenses, free software, open access, open source, edition, publishing">
    <meta name="viewport" content="width=device-width, user-scalable=0">
    <link type="text/css" rel="stylesheet" href="css/styles.css">
    <link rel="shortcut icon" href="img/favicon.png">
    <link rel="stylesheet" media="screen" href="https://fontlibrary.org//face/alegreya-sans" type="text/css"/> 
    <script src="js/list.min.js"></script>
  </head>
  <body id="content">
    <header>
      <img alt="Logotipo de perro tuerto" src="img/logo.png"/>
    </header>
    <nav>
      <ul>
        <li><b>perro tuerto</b></li>
        <li><span class="icon">🦝&nbsp;<a target="_blank" href="#GITLAB#">GitLab</a></span></li>
        <li><span class="icon">🐈&nbsp;<a target="_blank" href="#CUATES#">Cuates</a></span></li>
        <li><span class="icon">🐁&nbsp;<a target="_blank" href="#WIKIPEDIA#">Wikipedia</a></span></li>
        <li><span class="icon">🐙&nbsp;<a target="_blank" href="#GITHUB#">GitHub</a></span></li>
        <li><span class="icon">✉️ &nbsp;<a target="_blank" href="mailto:#EMAIL#">Correo</a></span></li>
      </ul>
    </nav>
    #LINKS#
    <footer>
      <p><b>perro tuerto</b></p>
      <p>Del Pacífico para el mundo: edición, <i>software</i> y cultura libres.</p>
      <p><span class="icon">🤖&nbsp;<a target="_blank" href="https://perrotuerto.blog/perro.json">JSON</a></p>
    </footer>
    <script>
      const nav = document.querySelector("nav > ul"),
            li = document.createElement("li"),
            input = document.createElement("input"),
            options = { valueNames: [ "name", "description", "tags" ] };
      input.id = "search-bar";
      input.placeholder = "Filtrar";
      input.classList.add("search");
      li.appendChild(input);
      nav.appendChild(li);
      listjs = new List('content', options);
      document.querySelectorAll("p.tags a").forEach(tag => {
        tag.href = "javascript:void(0)";
        tag.addEventListener("click", () => {
          const txt = tag.innerText.substring(1).replaceAll("-", " ");
          input.value = txt;
          listjs.search(txt);
        });
      });
    </script>
  </body>
</html>
